# Language Selection Page

This module allows you to present visitors of your website with a landingpage
/ splash page where they can select the language of their choice, based on the
languages that have been enabled on your Drupal site.

This is useful in situations where you don't want to enforce a default language
to users (e.g. because of political or corporate sensitivities) if they come to
your website without a language preference available (url, cookie, ...)

The language selection page can be overridden through Drupal's template system.

It is recommended that you move the "Selection Page" language detection method
near the bottom. Preferably you need to have another method of detection
activated above it, such as "URL" or "Cookie" (via the contrib module
[Language Cookie](https://drupal.org/project/language_cookie)),if you don't
want to have users arrive on the language selection page too frequently.


## Contents of this file

- Requirements
- Installation
- Theming
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

1. You need to have the Locale module enabled, and more than 1 enabled language
   on your website.
2. Install this module using a standard method for installing a contributed
   Drupal module.
3. Enable the module with Drush or through the web interface.
4. Check the status report page to see if everything is good.
5. Go to `admin/config/regional/language/configure` to configure language
   detection and selection
    - enable the "Selection Page" detection method
    - it is recommended to position this method near the bottom, just above
      "Default".


## Theming

Customize the template by copying the .html.twig file to your current theme
directory.
If you selected "Template in theme", you might want to add a
page--languageselection.html.twig file to your theme, that removes any sidebars
or regions that could intervene with the language selection task.


## Maintainers

- Drupal 6 and 7 version: [Pol Dellaiera](https://www.drupal.org/u/pol)
- Drupal 7 version: [Sven Decabooter](https://www.drupal.org/u/svendecabooter)
- Drupal 8 version: [Pol Dellaiera](https://www.drupal.org/u/pol)
- Drupal 9+ version: [Sven Decabooter](https://www.drupal.org/u/svendecabooter)
